package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 培养方案课程体系
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
@TableName("obe_culture_program_course")
@ApiModel(value="ObeCultureProgramCourse对象", description="培养方案课程体系")
public class ObeCultureProgramCourse extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "培养方案ID")
    private Long cultureProgramId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "课程ID")
    private Long courseId;
    @ApiModelProperty(value = "排序值")
    private Integer sortNum;

    @ApiModelProperty(value = "课程代码")
    @TableField(exist = false)
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @TableField(exist = false)
    private String courseName;

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }
    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }
    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }
    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }
    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    @Override
    public String toString() {
        return "ObeCultureProgramCourse{" +
            ", cultureProgramId=" + cultureProgramId +
            ", courseId=" + courseId +
            ", courseCode=" + courseCode +
            ", courseName=" + courseName +
            ", sortNum=" + sortNum +
        "}";
    }
}
